manaable REST API
What's manaableAbout Us
What's manaableAbout Us
  1. Teams
  • Introduction
  • イントロダクション
  • API v3
    • Members
      • Get Members
      • Get Member by ID
    • Teams
      • Get Teams
      • Get Team by ID
  • API v2
    • Trainings
      • List trainings / 研修一覧取得
      • Count trainings / 研修件数取得
      • Get training custom field definitions / 研修カスタムフィールド定義取得
      • Get training by ID / 研修詳細取得
      • Update training / 研修情報更新
      • Delete training / 研修削除
    • Applicants
      • List applicants / 申込者一覧取得
      • Bulk create/update applicants (upsert) / 申込者一括作成/更新 (upsert)
      • Count applicants / 申込者件数取得
      • Bulk update applicant status / 申込ステータス一括更新
    • Members
      • List members / メンバー一覧取得
      • Bulk create/update members / メンバー一括作成/更新
      • Get member custom field definitions / メンバーカスタムフィールド定義取得
      • Get member by ID / メンバー詳細取得
      • Update member / メンバー情報更新
      • Delete member / メンバー削除
      • Update member password / メンバーパスワード更新
    • Teams
      • List teams / チーム一覧取得
        GET
      • Bulk create/update teams / チーム一括作成/更新
        PUT
      • Get team custom field definitions / チームカスタムフィールド定義取得
        GET
      • Get team by ID / チーム詳細取得
        GET
      • Update team / チーム情報更新
        PATCH
      • Delete team / チーム削除
        DELETE
  • API v1
    • Get member groups
      GET
  • Schemas
    • Schemas
      • ContactForm
      • Exam
      • ExamResult
      • Lesson
      • LessonAttempt
      • Notification
      • Settings
      • StaticFieldsSetting
      • TeamMember
      • TrainingQuestionnaireResponse
      • TrainingQuestionnaireTemplate
      • TrainingRegTemplate
      • TrainingTaskResponse
      • TrainingTaskTemplate
      • UnsubscriptionQuestionnaire
    • Training
    • Member
    • Team
    • TrainingApplication
    • CustomFieldMaster
    • CustomFieldData
    • ErrorResponse
    • SuccessResponse
    • ValidationErrorResponse
  1. Teams

Bulk create/update teams / チーム一括作成/更新

PUT
/teams
Creates or updates teams in bulk. The key is team_id.
チームを一括で作成または更新する。キーは team_id。
Validation / バリデーション:
team_id is required and must not be duplicated within the request / team_id は必須、リクエスト内で重複不可
team_name is required / team_name は必須
team_id must be unique within the system on creation / 新規作成時 team_id は系内で一意
Custom fields / カスタムフィールド: Fields other than team_name, team_name_kana, team_id, and uuid are saved as custom fields.
team_name, team_name_kana, team_id, uuid 以外のフィールドはカスタムフィールドとして保存。
Activity log / activity log: Wrapped with activity()->withoutLogs(), so no activity logs are recorded.
activity()->withoutLogs() でラップされており、活動ログは記録しない。

Request

Authorization
API Key
Add parameter in header
api-key
Example:
api-key: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Success / 成功
Bodyapplication/json

🟠400
🟠403
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT '/teams' \
--header 'api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "teams": [
        {
            "team_id": "string",
            "team_name": "string",
            "team_name_kana": "string"
        }
    ]
}'
Response Response Example
200 - Success
{
    "code": 0,
    "message": "Teams updated successfully",
    "data": null
}
Modified at 2026-06-18 02:44:25
Previous
List teams / チーム一覧取得
Next
Get team custom field definitions / チームカスタムフィールド定義取得
Built with